# Update ACL

Create an access control list entry with at least one IP address or IP range.

Endpoint: PUT /accessControlLists/{id}
Version: 1.0.0
Security: Basic, OAuth2.0

## Path parameters:

  - `id` (string, required)
    The ID of the access control list entry.

## Request fields (application/json):

  - `name` (string, required)
    Your name for the access control list entry.
    Example: "LA Office"

  - `enabled` (boolean)
    Whether the access control list entry is enabled. You can use this to disable a list temporarily without deleting it.

  - `ipRanges` (array)
    An array of all the IP ranges to update.

  - `ipRanges.description` (string)
    A description of the IP range.
    Example: "West wing of office"

  - `ipRanges.ipAddress` (string)
    The start of the IP range.
    Example: "10.0.1.1"

  - `ipRanges.range` (integer)
    A range, also known as a CIDR, represents the number of leading bits that define the network portion of an IP address in CIDR notation. The range is specified after a slash (/) at the end of the IP address. The remaining bits define specific hosts within the network.
- 10.0.0.0/8: Represents all IP addresses from 10.0.0.0 to 10.255.255.255, allowing for over 16 million unique host addresses.
- 172.16.0.0/16: Includes all IP addresses from 172.16.0.0 to 172.16.255.255, providing up to 65,536 unique host addresses.
- 192.168.1.0/24: Encompasses all IP addresses from 192.168.1.0 to 192.168.1.255, offering 256 unique host addresses.
- 192.168.1.0/32: Encompasses one ip address
    Example: 32

## Response 200 fields (application/json):

  - `name` (string, required)
    Your name for the access control list entry.
    Example: "LA Office"

  - `ipRanges` (array, required)
    The associated IP ranges. When creating you need to submit at least one IP range.

  - `id` (string)
    The ID of the access control list entry.

  - `enabled` (boolean)
    Whether the access control list entry is enabled. You can use this to disable an list temporarily without deleting it.

  - `trunks` (array)
    The associated SIP trunks ID.

  - `createTime` (string)
    The time the call was created.
    Example: "2021-11-01T23:20:50Z"

  - `updateTime` (string)
    The time the call was created.
    Example: "2021-11-01T23:20:50Z"

  - `projectId` (string)
    The ID of the project.


